## sympl-web 9.0.190605.0

=== Makefile ===

RUBYLIB := "./lib:../common/lib"

#
# Not sure this is the correct variable to use, but it appears to give the
# right name!
#
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)

all: sbin/sympl-web-logger docs

docs: man/sympl-web-configure.man man/sympl-web-generate-stats.man man/sympl-web-rotate-logs.man man/sympl-web-logger.man

#
# The dh-golang stuff seems to put the binary in obj-$DEB_BUILD_GNU_TYPE/bin
#
obj-$(DEB_BUILD_GNU_TYPE)/bin/%: %.go
	mkdir -p ${DEB_BUILD_GNU_TYPE}/bin
	go build -o $@ $<


test: obj-$(DEB_BUILD_GNU_TYPE)/bin/sympl-web-logger
	$(MAKE) -C vhost-alias test
	RUBYLIB=${RUBYLIB} ruby test.d/t*.rb

sbin/sympl-web-logger: obj-$(DEB_BUILD_GNU_TYPE)/bin/sympl-web-logger
	cp -a $< $@

man/%.txt: ./txt/%.txt
	cp -a $< $@

man/%.txt: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=${RUBYLIB} $< --manual > $@
	test -s $@

man/%.man: man/%.txt
	sed -e 's/^=\+$$//' $< | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

clean:
	$(RM) -r obj-$(DEB_BUILD_GNU_TYPE)
	cd vhost-alias && make clean
	@find . -name '.*~' -exec rm \{\} \;
	@find . -name '.#*' -exec rm \{\} \;
	@find . -name 'configure-stamp' -exec rm \{\} \;
	@find . -name 'build-stamp' -exec rm \{\} \;
	$(RM) -r man
	$(RM) sbin/sympl-web-logger

.PHONY: test clean all docs
