=== debian/control ===
Source: sympl-web
Section: web
Priority: optional
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), apache2-dev, libcap-dev, php7.0-common, txt2man, gem2deb, ruby, dh-golang, golang-go (>= 1.5.1), sympl-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-web
Architecture: all
Depends: apache2, libapache2-mod-php7.0, webalizer, libapache2-mod-vhost-sympl, ${misc:Depends}, sympl-common, ruby | ruby-interpreter
Recommends: php7.0-mysql | php7.0-mysqli | php7.0-mysqlnd, php7.0-curl, php7.0-imagick, php7.0-mcrypt, php7.0-xmlrpc, php7.0-gd, geoip-database
Replaces: symbiosis-httpd
Conflicts: symbiosis-httpd
Provides: symbiosis-httpd
Description: Tools to manage Apache virtual hosting in Sympl
 This package contains tools to manage the virtual hosting of websites
 with Apache2.
 .
 When this package is installed your system will be automatically
 configured to serve websites for multiple domains by the creation
 of only a pair of directories.
 .
 Adding new websites doesn't even require you to restart your server.

Package: libapache2-mod-vhost-sympl
Architecture: any
Depends: apache2-api-20120211, ${shlibs:Depends}, ${misc:Depends}
Description: Mass-hosting module for Apache 2.4 and Sympl
 This module allows you to easily host multiple virtual hosts with
 a single simple configuration file.
 .
 This module is a fork of the official mod_vhost_alias module from
 the Apache project with only minor changes:
 .
 * Allows per vhost document root to be setup.
 * Allows domains to be handled with or without a www. prefix.
