=== debian/rules ===
#!/usr/bin/make -f
#

export DH_GOPKG := sympl-web-logger

%:
	dh $@ --buildsystem=ruby --with ruby,apache2,golang

override_dh_auto_build:
	$(MAKE) 
	cd vhost-alias && $(MAKE) && $(MAKE) test
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean
